> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a belief by proposition

> **Required scope:** read

**Required scope:** `read`

### Path parameters

<ParamField path="proposition" type="string" required>
  The proposition
</ParamField>

### Response

`BeliefResponse`

<ResponseField name="belief_interval" type="object[]" required />

<ResponseField name="confidence" type="number (float)" required />

<ResponseField name="is_certain" type="boolean" required />

<ResponseField name="is_rejected" type="boolean" required />

<ResponseField name="proposition" type="string" required />

<ResponseField name="uncertainty" type="number (float)" required />

### Status codes

| Code  | Meaning                                            |
| ----- | -------------------------------------------------- |
| `200` | Belief details                                     |
| `401` | Unauthorized — missing or invalid credentials      |
| `403` | Forbidden — the key/token lacks the required scope |
| `404` | Belief not found                                   |
| `429` | Rate limited — see Retry-After / X-RateLimit-Reset |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.nsr.stateset.com/api/v1/beliefs/{proposition}' \
    --header 'X-API-Key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "belief_interval": [
      {}
    ],
    "confidence": 7.5,
    "is_certain": true,
    "is_rejected": true,
    "proposition": "string",
    "uncertainty": 1.5
  }
  ```
</ResponseExample>
